/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

html {
    overflow-x: hidden;
}

body {
  font-family: Lato;
}

a {
    color: #328060;
}

.vn-icona-categoria h3 {
	margin-top: 0px;
	margin-bottom: 0px;
}

.vn-productlist-product .product_title {
    display: -webkit-box!important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;  
    overflow: hidden;
    text-overflow: ellipsis;
}

.vn-productlist-product .vn-productlist-product-image {
	min-height: 260px;
}

.vn-productlist-product .vn-productlist-product-image img  {
	max-height: 300px;
    width: auto;
}

.vn-products-slider {
    overflow: hidden;
}

.vn-products-slider .elementor-widget-woocommerce-product-title {
    display: block;
}

.vn-products-slider .swiper-pagination {
    position: relative;
    margin-top: 50px;
}

.woocommerce .cart-collaterals .cart_totals, .woocommerce-page .cart-collaterals .cart_totals {
    width: 100%;
}

.vn-elenco-puntato-spunte ul {
    list-style: none;
    padding-left: 1.5em;
}

.vn-elenco-puntato-spunte ul li {
  position: relative;
  padding-left: 1.5em; /* Spazio per la bullet SVG */
}

.vn-elenco-puntato-spunte ul li::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0.4em; /* Puoi regolare per allineare verticalmente */
  width: 1em;
  height: 1em;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='25' viewBox='0 0 24 25' fill='none'%3E%3Cpath d='M21.2109 5.21094L8.25 18.1719L2.78906 12.7109L1.71094 13.7891L7.71094 19.7891L8.25 20.3047L8.78906 19.7891L22.2891 6.28906L21.2109 5.21094Z' fill='%23CCDB39'/%3E%3C/svg%3E");
  background-size: contain;
  background-repeat: no-repeat;
}

.vn-link-readmore {
    text-decoration-line: underline!important;
    text-underline-position: under;
    color: #000;
    letter-spacing: 1px;
}

.vn-productlist-product .elementor-add-to-cart form.e-loop-add-to-cart-form,
.vn-productlist-product .elementor-add-to-cart form.e-loop-add-to-cart-form a {
    width: 100%;
}

.vn-productlist-product-price p.price {
    display: flex;
    flex-direction: row-reverse;
    margin-bottom: 0;
}

.vn-productlist-product-price p.price del {
    margin-left: 10px;
}

.vn-productlist-product .vn-product-list-prezzokg {
    line-height: 1.75;
}

.vn-productlist-product-title {
    height: 52px;
}

.woocommerce div.product .product_title a {
    display: block;
}

.vn-productlist-short-description .woocommerce-product-details__short-description,
.vn-productlist-short-description-container {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 48px;
}

.vn-productlist-product .vn-product-list-peso {
    height: 25px;
}

.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li a {
    border-radius: 100%;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.awf-collapsible .awf-filter-title {
    color: #fff;
    line-height: 28px;
    font-size: 18px;
    font-weight: 700;
}

.awf-filter-title-container {
    background-color: #328060;
    padding: 10px 25px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    margin-bottom: 0;
}

/*.awf-filter-wrapper:not(.awf-dropdown) .awf-collapse-btn::before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath d='M8.10547 2.67578L7.20703 3.57422L13.6328 10L7.20703 16.4258L8.10547 17.3242L14.9805 10.4492L15.4102 10L14.9805 9.55078L8.10547 2.67578Z' fill='white'/%3E%3C/svg%3E");
    color: transparent;
    background-repeat: no-repeat;
}*/

.awf-filter-wrapper:not(.awf-dropdown) .awf-collapse-btn::before {
    color: #fff;
    right: -10px;
}

.awf-collapsible-children .awf-parent-container::after {
    /*background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='15' height='15' viewBox='0 0 15 15' fill='none'%3E%3Cpath d='M6.0791 2.00684L5.40527 2.68066L10.2246 7.5L5.40527 12.3193L6.0791 12.9932L11.2354 7.83691L11.5576 7.5L11.2354 7.16309L6.0791 2.00684Z' fill='%23328060'/%3E%3C/svg%3E");*/
    content: "\f067";
    font-family: 'AWF FA', 'Font Awesome 5 Free';
    color: #328060!important;
    background-repeat: no-repeat;
    width: 15px;
    height: 15px;
    background-size: contain;
    opacity: 1;
    top: 0px !important;
    left: 8px !important;
    transform: none!important;
}

.awf-collapsible-children .awf-parent-container.awf-collapsed-on::after {
    content: "\f067";
}

.awf-collapsible-children .awf-parent-container::after {
    content: "\f068";
    right: -10px;
}

.awf-collapsible-children .awf-parent-container:hover {
    background-color: transparent;
}

.awf-collapsible-children .awf-parent-container:not(.awf-collapsed-on) {
    background-color: rgba(213, 215, 202, 0.30);
}

.awf-filters-container {
    border-left: 1px solid #D5D7CA;
    border-right: 1px solid #D5D7CA;
    border-bottom: 1px solid #D5D7CA;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.awf-filters-container ul {
    padding: 10px 0;
}

.awf-filters-container li {
    padding: 0 25px;
}

.awf-collapsible-children .awf-parent-container::after {
    right: unset;
    left: 0;
}

.awf-filter-container > *, .awf-filter-container > a > * {
    vertical-align: baseline;
}

.awf-collapsible-children .awf-filter-container.awf-parent-container label,
.awf-filter-container label {
    font-size: 16px;
    color: #000;
}

.awf-filters-container ul.awf-children-container {
    background-color: #fff;
    margin-left: 0;
    padding-left: 15px;
}

.awf-style-icons label::before, .awf-style-custom-terms label::before {
    color: #D5D7CA;
    min-width: 20px;
    width: 20px;
    height: 20px;
    font-size: 20px;
    margin-top: 3px;
    content: " " !important;
    border: 3px solid #D5D7CA;
    border-radius: 3px;
}

.awf-style-icons .awf-active label::before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='21' viewBox='0 0 20 21' fill='none'%3E%3Cpath d='M19.2109 3.21094L6.25 16.1719L0.789062 10.7109L-0.289062 11.7891L5.71094 17.7891L6.25 18.3047L6.78906 17.7891L20.2891 4.28906L19.2109 3.21094Z' fill='black'/%3E%3C/svg%3E");
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #57D3A0;
    border-color: #57D3A0;
}

.awf-collapsible-children .awf-filter-container.awf-parent-container label {
    padding-right: 0;
}

.vn-product-addto-button p.stock.in-stock {
    display: none!important;
}

.vn-product-addto-button button {
    width: 100%;
}

.vn-product-wishlist a.add_to_wishlist {
    border: 3px solid!important;
    display: flex!important;
    height: 58px;
}

.vn-product-wishlist a:not(.add_to_wishlist) {
    color: #215a42;
    margin-left: 25px;
}

.vn-product-wishlist a > * {
  margin-top: 2px;
}

.vn-product-wishlist-container .yith-wcwl-add-to-wishlist {
    margin-top: 0;
}

.vn-product-wishlist .yith-wcwl-add-button .add_to_wishlist svg.yith-wcwl-icon-svg {
    min-width: 24px;
}

.vn-product-wishlist .yith-wcwl-add-button .add_to_wishlist:hover svg.yith-wcwl-icon-svg path {
    fill: #fff;
}

.vn-product-wishlist a span {
    font-size: 14px;
    font-weight: normal;
    line-height: normal;
}

.vn-product-tabs ul.tabs {
    padding-left: 5px!important;
}

.vn-product-tabs .woocommerce-Tabs-panel {
    background-color: #F8F8F2!important;
    border-left: 1px solid #d3ced2!important;
    border-bottom: 1px solid #d3ced2!important;
    border-right: 1px solid #d3ced2!important;
}

.vn-home-titoli-spedizione-assistenza strong {
  font-size: 21px;
}

.vn-product-addto-button input[type="number"],
.woocommerce-cart .product-quantity input[type="number"] {
  width: 75px!important;
  padding-right: 5px;
}

.woocommerce-cart .product-quantity input[type="number"] {
    border-style: solid;
    border-width: 3px 3px 3px 3px;
    border-radius: 10px 10px 10px 10px;
    border-color: #D5D7CA;
}

.vn-product-addto-button input[type="number"]::-webkit-inner-spin-button, 
.vn-product-addto-button input[type="number"]::-webkit-outer-spin-button,
.woocommerce-cart .product-quantity input[type="number"]::-webkit-inner-spin-button,
.woocommerce-cart .product-quantity input[type="number"]::-webkit-outer-spin-button {
  opacity: 1;
  height: 30px;
}

.products.elementor-grid .e-loop-item.post.type-post,
.products.elementor-grid .e-loop-item.page.type-page,
body.search-results .woocommerce-result-count {
  display: none!important;
}

.vn-cart-main-section {
    margin-left: -20px;
    margin-right: -20px;
}

/*body.woocommerce-cart .ywgc_have_code {
    display: none!important;
}*/

body.woocommerce-cart .ywgc_enter_code button.ywgc_apply_gift_card_button {
    height: 41px;
    background-color: #CCDB39!important;
    color: #000!important;
}

.woocommerce table.shop_table:not(.woocommerce-checkout-review-order-table) td,
.woocommerce table.shop_table:not(.woocommerce-checkout-review-order-table) th {
    border: none;
}

.woocommerce table.shop_table:not(.woocommerce-checkout-review-order-table) th {
    padding: 15px 25px;
}

.woocommerce table.shop_table:not(.woocommerce-checkout-review-order-table) {
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid #D5D7CA;
}

.woocommerce table.shop_table:not(.woocommerce-checkout-review-order-table) thead {
    background-color: #328060;
    color: #fff;
}

.woocommerce table.shop_table tbody>tr:nth-child(odd)>td, .woocommerce table.shop_table tbody>tr:nth-child(odd)>th,
.woocommerce table.shop_table tbody tr:hover>td, .woocommerce table.shop_table tbody tr:hover>th {
    background-color: transparent;
}

.woocommerce-cart table.cart img {
    min-width: 150px;
}

.woocommerce-cart .vn-productlist-short-description {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 48px;
}

.woocommerce table.shop_table td.product-name {
    max-width: 215px;
}

.woocommerce table.shop_table td.product-name a {
    color: #000;
    font-size: 18px;
    font-weight: 700;
}

.woocommerce table.shop_table td.product-thumbnail {
    max-width: 150px;
    padding: 15px 0;
    width: 150px;
}

.woocommerce .vn-product-list-peso {
    margin: 15px 0;
}

.woocommerce table.shop_table td.product-price,
.woocommerce table.shop_table td.product-subtotal {
    font-size: 24px;
    font-weight: 800;
    color: #215A42;
}

.woocommerce table.shop_table tbody tr {
    margin: 10px 0;
}

.woocommerce-cart .coupon {
    background-color: #F8F8F2;
    border-radius: 10px;
    padding: 15px;
}

.woocommerce-cart .coupon .titolo {
    font-size: 18px;
    font-weight: 700;
    color: #215A42;
    margin: 5px 0;
}

.woocommerce-cart .coupon #coupon_code,
.woocommerce-cart #giftcard_code {
    display: inline-block;
    width: 60%;
    border-radius: 10px;
    border: 3px solid #D5D7CA;
}

.woocommerce-cart #giftcard_code {
    width: 100%;
}

.woocommerce-cart .coupon button,
.woocommerce-cart .ywgc_enter_code p .ywgc_apply_gift_card_button {
    display: inline-block;
    height: 46px;
    border-radius: 10px;
    background-color: #215A42!important;
    color: #fff!important;
}

.woocommerce-cart .vn-cart-totals {
    border-radius: 10px;
    border: 1px solid #D5D7CA;
    background-color: #F8F8F2;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) {
    border: none;
    margin-bottom: 0!important;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) td,
.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) th {
    padding: 15px 25px;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) td {
    text-align: right;
}

.woocommerce-cart .vn-cart-totals h2 {
    font-size: 21px;
    font-weight: 700;
    color: #215A42;
    border-bottom: 1px solid #D5D7CA;
    padding: 17px 25px 15px 25px;
    margin-bottom: 0;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) tr.order-total {
    background-color: rgba(213, 215, 202, 0.30);
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) tr.order-total td {
    font-size: 24px;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) tr.order-total th {
    line-height: 35px;
}

.woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) tbody {
    font-size: 16px;
}

.woocommerce-cart .vn-cart-totals .shipping-calculator-button {
    color: #328060;
}

.woocommerce-cart .vn-cart-totals .select2-selection__rendered {
    text-align: left;
}

.woocommerce-cart .devnet_fsl-free-shipping {
    box-shadow: none;
    border: 1px solid #D5D7CA;
    border-radius: 10px;
    background: #F8F8F2;
    padding: 25px;
}

.woocommerce-cart .devnet_fsl-free-shipping .fsl-progress-bar {
    border-color: #D5D7CA!important;
}

.woocommerce-cart .ywgc-show-giftcard {
    color: #328060;
}

.woocommerce-cart .woocommerce-remove-coupon {
    color: #328060;
}

.woocommerce-cart .cart_totals a.checkout-button {
    padding: 15px 25px;
    border-radius: 10px;
    background-color: #CCDB39;
    font-size: 18px;
    line-height: 28px;
    font-weight: 400;
    color: #000;
    transition: all .3s;
}

.woocommerce-cart .cart_totals a.checkout-button:hover {
    background-color: #A6B22D;
    color: #000;
}

.vn-checkout-main-section {
    margin-left: -20px;
    margin-right: -20px;
}

.vn-checkout-main-section .elementor-col-60 > .elementor-widget-wrap > .elementor-widget,
.vn-checkout-main-section .elementor-col-40 > .elementor-widget-wrap > .elementor-widget .shop_table.woocommerce-checkout-review-order-table,
.vn-checkout-main-section .elementor-col-40 > .elementor-widget-wrap > .elementor-widget #payment {
    background-color: #F8F8F2;
    border-radius: 10px;
    padding: 20px;
}

.vn-checkout-main-section #documento_tipo {
    background-color: #fff;
    border-radius: 10px;
    padding: 13px 20px;
    border: 3px solid #D5D7CA !important;
}

.vn-checkout-main-section .elementor-col-60 input,
.vn-checkout-main-section .elementor-col-60 .select2-selection {
    border-radius: 10px!important;
    border: 3px solid #D5D7CA!important;
    line-height: 38px!important;
    padding: 5px 15px!important;
}

.vn-checkout-main-section .elementor-col-60 textarea {
    border-radius: 10px!important;
    border: 3px solid #D5D7CA!important;
    height: 90px!important;
    padding: 15px 15px!important;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table {
    border-collapse: collapse;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table td,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table th {
    border: none;
    padding: 5px 20px;
}

.vn-checkout-main-section h3 {
    color: #215A42;
    font-size: 21px;
    font-weight: 700;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table thead {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 16px;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart_item {
    font-size: 18px;
    position: relative; 
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart_item td,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart-subtotal td,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart-subtotal th,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping td,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total td {
    padding: 15px 20px;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table td.product-name {
    font-weight: 700;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table td.product-total {
    vertical-align: top;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart-subtotal,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping-title,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total {
    font-size: 18px;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping-title {
    font-weight: 700;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table td,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table th.product-total {
    text-align: right;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table td.product-name {
    text-align: left;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping ul.woocommerce-shipping-methods li {
    text-align: left;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping ul.woocommerce-shipping-methods li label span {
    float: right;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.shipping{
    position: relative;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total th,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total td {
    padding: 15px 20px;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total td {
    font-size: 24px;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.order-total th {
    vertical-align: middle;
}
.woocommerce-checkout #payment {
    background: none;
}

.woocommerce-checkout #payment div.payment_box {
    background-color: unset;
}

.woocommerce-checkout #payment div.payment_box::before {
    display: none;
}

.vn-checkout-main-section h3#order_review_heading {
    text-transform: none;
    padding: 15px 0 0 0;
}

.woocommerce #payment #place_order, .woocommerce-page #payment #place_order {
    position: absolute;
    left: 0;
    bottom: -80px;
    width: 100%;
    background-color: #CCDB39;
    border-radius: 10px;
    padding: 15px;
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
    color: #000;
    transition: all .3s;
}

.woocommerce #payment #place_order:hover {
    background-color: #A6B22D;
    color: #000;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.woocommerce-shipping-totals.shipping::after,
.woocommerce table.shop_table.woocommerce-checkout-review-order-table tr.cart_item::after {
    content: "";
    position: absolute;
    border-bottom: 1px solid #D5D7CA;
    height: 1px;
    width: calc(100% - 40px);
    bottom: -1px;
    left: 20px;
}

.woocommerce-checkout #payment ul.payment_methods {
    border: none;
}

.vn-products-slider .swiper-container:not(.swiper-container-initialized)>.swiper-wrapper {
    overflow: visible;
}

.vn-product-loop-item a.added_to_cart {
    display: none!important;
}

.vn-product-loop-item a.add_to_cart_button::after {
    top: 15px!important;
}

.vn-products-slider .price {
    color: #215A42;
    font-size: 24px;
    font-weight: 800;
}

.woocommerce ul#shipping_method li input {
    margin: 10px .4375em 0 0
}

.woocommerce ul.wc_payment_methods.payment_methods li label {
    margin-top: -5px;
}

/*.woocommerce ul.wc_payment_methods.payment_methods li label[for="payment_method_paypal"] img,
.woocommerce ul.wc_payment_methods.payment_methods li label[for="payment_method_paypal"] a {
    display: none;
}*/

.woocommerce ul.wc_payment_methods.payment_methods li label[for="payment_method_paypal"] a {
    display: none;
}

/*.awf-filter-wrapper:not(.awf-dropdown) .awf-collapse-btn::before {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none'%3E%3Cpath d='M8.10547 2.67578L7.20703 3.57422L13.6328 10L7.20703 16.4258L8.10547 17.3242L14.9805 10.4492L15.4102 10L14.9805 9.55078L8.10547 2.67578Z' fill='white'/%3E%3C/svg%3E");
    color: transparent;
    background-repeat: no-repeat;
}*/

.vn-product-tab-mobile summary {
    justify-content: space-between!important;
}

.vn-wishlist .wishlist-title-container {
    display: none!important;
}

.vn-wishlist .woocommerce table.shop_table.wishlist_table th br {
    display: none!important;
}

.vn-wishlist .wishlist_table thead tr th {
    background: transparent;
    font-size: 18px;
    padding: 9px 12px !important;
}

.vn-wishlist a.add_to_cart_button {
    font-weight: 400;
    border-radius: 10px 10px 10px 10px;
    padding: 15px 25px 15px 25px;
    color: #000000;
    background-color: var(--e-global-color-136b926);
    transition: all 0.2s;
    font-size: 16px;
    line-height: 16px;
    font-family: Lato;
}

.vn-wishlist a.add_to_cart_button:hover {
    background-color: #a6b22d;
}

.vn-wishlist ul.shop_table.wishlist_table.mobile .item-details a {
    font-size: 16px;
    color: #000;
}

body.woocommerce-wishlist .woocommerce-notices-wrapper,
body.woocommerce-wishlist .woocommerce-message {
    font-size: 18px;
}

.woocommerce-MyAccount-navigation ul {
    padding: 0;
}

.woocommerce-MyAccount-navigation ul li {
    list-style: none;
    padding: 10px 0;
}

.woocommerce-MyAccount-navigation ul li::after {
    content: " ";
    width: 50%;
    height: 1px;
    background-color: #328060;
    display: block;
}

.woocommerce-error, .woocommerce-info, .woocommerce-message {
    border-color: #328060;
}

.woocommerce-info::before {
    color: #328060;
}

.woocommerce-account .addresses .title .edit {
    float: left;
    margin: 5px 0;
}

.swiper-pagination-bullet-active {
    background-color: #000;
}

.swiper-pagination-bullet {
    width: 6px;
    height: 6px;
}

.vn-footer-bottom .elementor-nav-menu .link-colorato.menu-item a {
    color: #E5EC9C!important;
}

.widget.vn-carrello-top,
.widget.vn-carrello-sidebar-top,
.widget.vn-carrello-sidebar-bottom {
    width: 100%;
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #D5D7CA;
    margin-bottom: 20px;
}

.widget.vn-carrello-top .textwidget {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.widget.vn-carrello-top .textwidget svg {
    margin-right: 10px;
}

.widget.vn-carrello-top .vn-riga {
    justify-content: center;
    display: flex;
    margin-bottom: 5px;
}

.widget.vn-carrello-sidebar-top {
    text-align: center;
    color: #215A42;
}

.widget.vn-carrello-sidebar-top h3 {
    font-size: 18px;
}

.widget.vn-carrello-sidebar-bottom .textwidget {
    display: flex;
    flex-direction: row;
}

.widget.vn-carrello-sidebar-bottom .textwidget > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 25px;
    text-align: center;
    color: #215A42;
    font-size: 16px;
}

.widget.vn-carrello-sidebar-bottom .textwidget > div:first-child {
    border-right: 1px solid #D5D7CA;
}

.widget.vn-carrello-sidebar-bottom .textwidget > div svg {
    height: 41px;
}

.woocommerce nav.woocommerce-breadcrumb {
    margin-bottom: 0;
    font-size: .85em;
    line-height: 1.5;
}

.vn-product-addto-button .loading::after {
    top: 15px!important;
}

.vn-product-addto-button .single_add_to_cart_button:disabled {
    background-color: #CCDB39!important;
}

.vn-product-addto-button .added_to_cart.wc-forward {
    display: none!important;
}

body:not(.archive) .vn-product-loop-item .product_type_simple.loading {
    opacity: 0.6;
    pointer-events: none;
    position: relative;
}

body:not(.archive) .vn-product-loop-item .product_type_simple.loading:after {
    content: "";
    position: absolute;
    top: 25px !important;
    right: 1em;
    width: 16px;
    height: 16px;
    margin-top: -8px;
    margin-left: -8px;
    border: 2px solid currentColor;
    border-top-color: transparent;
    border-radius: 50%;
    animation: spinner 0.6s linear infinite;
}

@keyframes spinner {
    to { transform: rotate(360deg); }
}

.vn-productlist-product .vn-productlist-product-image a {
    aspect-ratio: 1;
    overflow: hidden;
    display: block;
}

.ywgc_enter_code {
    border: 1px solid #cfc8d8;
    padding: 20px;
    margin: 2em 0;
    text-align: left;
    border-radius: 5px;
}

.ywgc_enter_code input {
    padding: 8px;
    line-height: normal;
}

.ywgc_enter_code .form-row {
    width: 47%;
    padding-right: 0;
}

#woocommerce-checkout-form-coupon button {
    margin-left: 12px;
}

#woocommerce-checkout-form-coupon button,
.ywgc_enter_code button.ywgc_apply_gift_card_button {
    background-color: #CCDB39!important;
    font-weight: 400;
    border-radius: 10px 10px 10px 10px;
    padding: 10px 25px 10px 25px;
    color: #000000!important;
    transition: all 0.2s;
    line-height: 17px;
}

#woocommerce-checkout-form-coupon button:hover,
.ywgc_enter_code button.ywgc_apply_gift_card_button:hover {
    background-color: #A6B22D!important;
}

#woocommerce-checkout-form-coupon .form-row.form-row-last {
    float: left;
}

.elementor-nav-menu--dropdown {
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.15);
}

.elementor-widget-woocommerce-menu-cart .elementor-menu-cart__product-price.product-price {
    color: #000;
    font-weight: bold;
}

.vn-swiper-button:after {
    font-size: 30px;
    color: #000;
}

.vn-swiper-button.vn-swiper-button-prev {
    left: -35px;
}

.vn-swiper-button.vn-swiper-button-next {
    right: -35px;
}

.vn-product-peso {
    font-weight: bold;
}

.vn-etichetta-widget {
    position: absolute;
    z-index: 1;
    width: 100%;
}

.vn-etichetta-widget .etichetta {
    padding: 2px 8px;
    border-radius: 5px;
    width: fit-content;
    margin-bottom: 3px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
}

.vn-etichetta-widget .etichetta svg {
    width: 14px;
    margin-right: 5px;
}

.vn-etichetta-widget .etichetta-bio {
    background-color: #E5EC9C;
}

.vn-etichetta-widget .etichetta-sconto {
    background-color: #328060;
    color: #fff;
}

.vn-etichetta-widget .etichetta-novita {
    background-color: #57D3A0;
}

.vn-etichetta-widget .etichetta-nota {
    border: 1px solid #8EFACA;
    background-color: #fff;
}

.vn-custom-tooltip {
    position: relative;
    cursor: help;
    display: flex
}

.vn-custom-tooltip::after {
    content: attr(data-tooltip);
    position: absolute;
    bottom: 125%; 
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    padding: 6px 10px;
    border-radius: 4px;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s;
    z-index: 99;
}

.vn-custom-tooltip:hover::after {
    opacity: 1;
}

.vn-product-single-image-container .vn-etichetta-widget {
    padding: 15px;
}

.vn-header-icona-account-wishlist {
    min-width: 50px!important;
}

.vn-header-icona-account-wishlist .elementor-icon-box-icon,
.vn-header-icona-account-account .elementor-icon-box-icon {
    margin-bottom: 0!important;
}

.vn-header-icona-account-wishlist .elementor-icon-box-title,
.vn-header-icona-account-account .elementor-icon-box-title {
    margin-top: 0;
    margin-bottom: 0;
    min-height: 28px;
}

.vn-trusted-header {
    max-height: 22px;
}

.vn-trusted-header > div {
    margin-top: -22px;
}

.vn-trusted-header .trusted-stars-service-widget.display-style-small .grade-summary {
    display: block;
}

.vn-form-contatto input,
.vn-form-contatto select,
.vn-form-contatto textarea,
.vn-form-row .wpcf7-select,
.vn-form-row .wpcf7-email,
.vn-form-row .wpcf7-text,
.vn-form-row .wpcf7-textarea {
    border-radius: 10px !important;
    border: 3px solid #D5D7CA !important;
    line-height: 38px !important;
    padding: 5px 15px !important;
    width: 100%;
    max-width: 100%!important;
}

.vn-form-row .wpcf7-select {
    padding: 13px 15px !important;
}

.vn-form-row label {
    font-weight: bold;
    margin-bottom: 10px;
    margin-top: 20px;
}

.vn-form-row .wpcf7-acceptance label {
    margin-top: -3px;
    margin-bottom: 0;
}

.vn-form-row .wpcf7-acceptance .wpcf7-list-item {
    margin-left: 0;
}

.vn-form-contatto .wpforms-field-label,
.vn-form-contatto .wpforms-field {
    margin-bottom: 10px;
}

.vn-form-contatto .wpforms-field ul {
    padding-left: 0;
}

.vn-form-contatto select {
    height: 54px;
}

.vn-form-contatto .wpforms-submit,
.vn-form-row .wpcf7-submit {
    width: 100%;
    background-color: #CCDB39;
    border-radius: 10px;
    padding: 15px;
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
    color: #000;
    transition: all .3s;
    border: none;
}

.vn-form-contatto .wpforms-submit:hover,
.vn-form-row .wpcf7-submit:hover {
    background-color: #A6B22D;
}

.vn-icona-nera {
    filter: brightness(0);
}

.vn-home-categoria:hover h2,
.vn-home-categoria:hover p {
    color: #000!important;
}

.vn-home-categoria:hover .elementor-button.elementor-button-link {
    background-color: #215A42;
}

.vn-home-categoria:hover .elementor-button.elementor-button-link {
    color: #fff;
}

.qlwapp__container.qlwapp__container--bottom-right {
    bottom: 40px;
}

.vn-brevo-newsletter .sib-form {
    padding: 0;
    text-align: left!important;
}

.vn-brevo-newsletter .sib-form-block p,
.vn-brevo-newsletter .sib-form-block p a {
    color: #fff!important;
    font-family: Lato!important;
}

.vn-brevo-newsletter .sib-form .entry__specification {
    display: none;
}

.vn-brevo-newsletter #sib-container,
.vn-brevo-newsletter .sib-form-block {
    padding: 0;
}

.vn-brevo-newsletter #sib-container {
    max-width: 100%!important;
}

.vn-brevo-newsletter button.sib-form-block__button {
    height: 44px;
    border-radius: 10px!important;
    margin-top: 3px;
}

.vn-sib-doppio {
    display: flex;
}

.vn-sib-doppio .vn-sib-doppio-campo {
    width: 80%;
}

.vn-sib-doppio .vn-sib-doppio-campo input {
    border: 3px solid #D5D7CA !important;
    border-radius: 10px;
    background-color: #fff;
}

.vn-sib-doppio .vn-sib-doppio-bottone {
    padding-left: 10px!important;
}

.sib-form .vn-sib-doppio .entry__field {
    background-color: transparent;
    border: none;
}

.vn-sib-doppio .vn-sib-doppio-bottone button {
    font-family: Lato!important;
}

#iscriviti-alla-newsletter button.sib-form-block__button {
    font-family: Lato!important;
    padding: 15px 25px;
    font-size: 15px;
    line-height: 1;
}

#iscriviti-alla-newsletter button.sib-form-block__button:hover {
    background-color: #A6B22D!important;
}

#iscriviti-alla-newsletter .sib-form .entry__choice p {
    font-family: Lato!important;
}

div.product-type-gift-card.product .yith-wcwl-add-to-wishlist {
    display: none!important;
}

div.product-type-gift-card.product .gift-cards_form h3 {
    font-size: 18px;
    font-weight: bold;
}

div.product-type-gift-card.product .gift-cards_form .gift-cards-list + h3 {
    font-size: 0;
    margin-top: 30px;
    margin-bottom: 10px;
}

div.product-type-gift-card.product .gift-cards_form .gift-cards-list + h3::before {
    content: "Inserisci i dati di chi riceverà il tuo regalo";
    font-size: 18px;
    font-weight: bold;
}

div.product-type-gift-card.product .gift-cards_form .ywgc-sender-info-title {
    font-size: 0;
    margin-bottom: 10px;
}

div.product-type-gift-card.product .gift-cards_form .ywgc-sender-info-title::before {
    content: "Inserisci qui i tuoi dati";
    font-size: 18px;
    font-weight: bold;
}

div.product-type-gift-card.product .ywgc-predefined-amount-button {
    margin-left: 0!important;
    border: none;
}

div.product-type-gift-card.product .single_add_to_cart_button.gift_card_add_to_cart_button {
    width: 100%;
    max-width: unset;
}

div.product-type-gift-card.product .ywgc_recipient_info_title {
    display: none;
}

div.product-type-gift-card.product .vn-product-spedizione-assistenza > div:first-child {
    display: none;
} 

div.product-type-gift-card.product .ywgc-message,
div.product-type-gift-card.product .ywgc-recipient-name,
div.product-type-gift-card.product .ywgc-recipient-email,
div.product-type-gift-card.product .ywgc-sender-name {
    display: flex;
    flex-direction: column;
}

div.product-type-gift-card.product .ywgc-message > *,
div.product-type-gift-card.product .ywgc-recipient-name > *,
div.product-type-gift-card.product .ywgc-recipient-email > *,
div.product-type-gift-card.product .ywgc-sender-name > * {
    width: 100%;
    max-width: 100%;
    text-align: left;
}

div.product-type-gift-card.product .gift_card_template_button.variations_button {
    display: flex;
}

div.product-type-gift-card.product #ywgc-edit-message,
div.product-type-gift-card.product .ywgc-recipient-email input,
div.product-type-gift-card.product .ywgc-sender-name input,
div.product-type-gift-card.product .ywgc-recipient-name input {
    border-radius: 10px;
    border: 3px solid rgb(213, 215, 202) !important;
}

div.product-type-gift-card.product .ywgc-main-form-preview-container .ywgc-form-preview-separator {
    opacity: 0;
}

.gift-card-content-editor.step-content h5 {
    margin-top: 40px;
}

.vn-brand-slider img {
    transition: all .3s;
}

.vn-brand-slider img:not(:hover) {
    filter: grayscale();
}

.woocommerce-button.button.ced_my_account_reorder {
    margin: 0;
    padding: .618em 1em;
    margin-left: 10px;
}

body.woocommerce-view-order .woocommerce-table__product-total {
    width: 30%;
}

body.woocommerce-view-order .woocommerce-table__product-table {
    padding-left: 12px!important;
}

[id^="trustbadge-container-"] {
    z-index: 1000!important;
}

@media (max-width: 1024px) {

    .vn-productlist-product .vn-productlist-product-image {
        min-height: unset;
    }

    .woocommerce .vn-product-list-peso {
        margin: 0;
    }

    .vn-productlist-short-description-container {
        display: none!important;
    }

    .vn-products-archive.elementor-wc-products ul.products {
        grid-column-gap: 10px!important;
        grid-row-gap: 10px!important;
    }

    .vn-productlist-product .vn-product-list-prezzokg {
        min-height: 28px;
    }

    .vn-product-loop-item a {
        padding: 15px 5px!important;
    }

    .vn-product-wishlist a span {
        display: flex;
        align-items: center;
    }

}

@media (max-width: 768px) {

    .vn-etichetta-widget .etichetta-nota {
        position: absolute;
        right: 0;
        top: 30px;
    }

    body.woocommerce-view-order table.shop_table td.product-name a {
        font-size: 12px;
    }

    div.product-type-gift-card.product .vn-product-spedizione-assistenza > div {
        width: 98%;
    }

    .vn-sib-doppio {
        flex-direction: column;
    }

    .vn-sib-doppio .vn-sib-doppio-campo,
    .vn-sib-doppio button {
        width: 100%;
    }

    .vn-sib-doppio .vn-sib-doppio-bottone {
        padding-left: 0!important;
        padding-top: 0 !important;
    }

    .vn-sib-doppio .vn-sib-doppio-bottone button {
        text-align: center!important;
    }

    .vn-swiper-button {
        display: none!important;
    }

    .vn-header-icona-account-carrello {
        display: inline-block!important;
        width: auto!important;
    }

    .vn-header-icona-account-wishlist .elementor-icon-box-title {
        max-width: 50px;
        text-align: center;
    }

    /*.vn-etichetta-widget .etichetta:not(.etichetta-sconto) {
        display: none!important;
    }*/

    .vn-home-titoli-spedizione-assistenza strong {
        font-size: 16px;
    }

    .woocommerce .woocommerce-result-count {
        display: none!important;
    }

    .woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering {
        width: 100%;
    }

    .woocommerce-MyAccount-navigation ul li::after { 
        width: 100%;
    }

    .woocommerce-account .woocommerce-MyAccount-navigation,
    .woocommerce-account .woocommerce-MyAccount-content {
        margin-bottom: 40px;
    }

    .vn-product-wishlist a.add_to_wishlist {
        justify-content: center;
        width: 100%;
    }

    .woocommerce table.cart .product-thumbnail, .woocommerce-page #content table.cart .product-thumbnail, .woocommerce-page table.cart .product-thumbnail {
        display: block;
        width: 80%;
        float: left;
    }

    .woocommerce table.shop_table td.product-name {
        max-width: unset;
        text-align: left!important;
        clear: both;
    }

    .woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
        content: " ";
    }

    .woocommerce table.shop_table td.product-subtotal {
        visibility: hidden;
    }

    .woocommerce table.shop_table td.product-price,
    .woocommerce table.shop_table td.product-quantity {
        float: left;
        width: 50%;
    }

    .woocommerce table.shop_table_responsive.cart tr td, .woocommerce-page table.shop_table_responsive.cart tr td {
        background-color: #fff!important;
    }

    .woocommerce table.shop_table td.product-price {
        text-align: left!important;
    }

    .woocommerce table.shop_table.cart tbody tr::after {
        content: " ";
        height: 1px;
        width: calc(100% - 30px);
        background-color: #ccc;
        display: block;
        margin-top: -20px;
        margin-left: 15px;
    }

    .woocommerce table.shop_table.cart tbody tr:last-child:after {
        display: none;
    }

    .woocommerce table.shop_table td.product-remove {
        width: 20%;
        float: left;
    }

    .widget.vn-carrello-top .vn-riga {
        font-size: 14px;
    }

    .woocommerce-cart .coupon #coupon_code,
    .woocommerce-cart .coupon button {
        width: 100%;
    }

    .woocommerce-cart .vn-cart-totals .shop_table:not(.woocommerce-checkout-review-order-table) tr.order-total {
        margin-bottom: 0;
    }

    .vn-cart-continua a {
        display: block;
    }

    .woocommerce form .form-row-first, .woocommerce form .form-row-last {
        width: 100%;
    }

    .woocommerce-checkout #payment ul.payment_methods {
        padding: 0;
    }

    #woocommerce-checkout-form-coupon button, .ywgc_enter_code button.ywgc_apply_gift_card_button {
        margin: 0;
        width: 100%;
    }

    .ywgc_enter_code .form-row {
        width: 100%;
        padding-right: 15px;
    }

}

@media (min-width: 991px) {
    .vn-vendi-su-vero-form form {
        max-width: 800px!important;
        margin: 0 auto;
    }

    .vn-form-row .wpcf7-submit {
        width: auto;
        padding: 15px 25px;
    }

    .vn-product-addto-button button {
        max-width: 50%;
    }

    div.product-type-gift-card.product .vn-product-spedizione-assistenza {
        width: 50%;
    }
}